#!/bin/bash
# $1 is the app location, $2 is the svg icon, $3 is the version number
mkdir -p out
rm -rf debian/usr/share/ipentool

mkdir -p debian/usr/share/ipentool
mkdir -p debian/usr/share/doc/ipentool

rsync -rv "$1" debian/usr/share/ipentool
sed -i "s/VERSION/$3/" debian/DEBIAN/control
cp debian/DEBIAN/copyright debian/usr/share/doc/ipentool/
cp "$2" debian/usr/share/ipentool/logo.svg

SIZE=$(du -s --apparent-size debian | cut -f1)
sed -i "s/INSTALLEDSIZE/$SIZE/" debian/DEBIAN/control
dpkg-deb -b debian "out/ipentool_$3_all.deb"
