/*
 * Copyright 2021 Netsyms Technologies.
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */


function showToast(message) {
    $("#toastBox .toast-body").html(message);
    toastEl.show();
}

var toastEl = new bootstrap.Toast(document.getElementById("toastBox"));

function showAlert(message) {
    $("#alertModal .modal-body").html(message);
    new bootstrap.Modal(document.getElementById('alertModal')).show();
}

var passwordModalCallback = function (pass) {};

function showPasswordPrompt(message, callback) {
    $("#passwordModalText").html(message);
    $("#passwordModalInput").val("");
    passwordModalCallback = callback;
    new bootstrap.Modal(document.getElementById('passwordModal')).show();
}

var okCancelPromptModalCallback = function (okay) {};

function showOkCancelPrompt(message, callback) {
    $("#okCancelPromptModalText").html(message);
    okCancelPromptModalCallback = callback;
    new bootstrap.Modal(document.getElementById('okCancelPromptModal')).show();
}